Subject: amanda-common: Amanda::Changer::robot::Interface::MTX calls confess but does not use Carp
From:  Will Aoki <waoki@umnh.utah.edu>
   
Index: amanda.git/perl/Amanda/Changer/robot.pm
===================================================================
--- amanda.git.orig/perl/Amanda/Changer/robot.pm	2017-02-05 11:00:54.178169488 +0000
+++ amanda.git/perl/Amanda/Changer/robot.pm	2017-02-05 11:00:54.162169958 +0000
@@ -2548,6 +2548,7 @@ use Amanda::Config qw( :getconf );
 use Amanda::Debug qw( debug warning );
 use Amanda::MainLoop qw( :GIOCondition synchronized make_cb define_steps step );
 use Amanda::Device qw( :constants );
+use Carp;
 
 sub new {
     my $class = shift;
